rake_12.3.1-3_all.deb


Advertisement

Description

rake - ruby make-like utility

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name rake
Package version 12.3.1
Package release 3
Package architecture all
Package type deb
Installed size 208 B
Download size 65.38 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
rake_12.3.1-3_all.deb 12.3.1 all Debian Main
rake - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package rake_12.3.1-3_all.deb
Source Package rake

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install rake deb package:
    # sudo apt-get install rake

Files

Path
/usr/bin/rake
/usr/lib/ruby/vendor_ruby/rake.rb
/usr/lib/ruby/vendor_ruby/rake/application.rb
/usr/lib/ruby/vendor_ruby/rake/backtrace.rb
/usr/lib/ruby/vendor_ruby/rake/clean.rb
/usr/lib/ruby/vendor_ruby/rake/cloneable.rb
/usr/lib/ruby/vendor_ruby/rake/cpu_counter.rb
/usr/lib/ruby/vendor_ruby/rake/default_loader.rb
/usr/lib/ruby/vendor_ruby/rake/dsl_definition.rb
/usr/lib/ruby/vendor_ruby/rake/early_time.rb
/usr/lib/ruby/vendor_ruby/rake/file_creation_task.rb
/usr/lib/ruby/vendor_ruby/rake/file_list.rb
/usr/lib/ruby/vendor_ruby/rake/file_task.rb
/usr/lib/ruby/vendor_ruby/rake/file_utils.rb
/usr/lib/ruby/vendor_ruby/rake/file_utils_ext.rb
/usr/lib/ruby/vendor_ruby/rake/invocation_chain.rb
/usr/lib/ruby/vendor_ruby/rake/invocation_exception_mixin.rb
/usr/lib/ruby/vendor_ruby/rake/late_time.rb
/usr/lib/ruby/vendor_ruby/rake/linked_list.rb
/usr/lib/ruby/vendor_ruby/rake/multi_task.rb
/usr/lib/ruby/vendor_ruby/rake/name_space.rb
/usr/lib/ruby/vendor_ruby/rake/packagetask.rb
/usr/lib/ruby/vendor_ruby/rake/phony.rb
/usr/lib/ruby/vendor_ruby/rake/private_reader.rb
/usr/lib/ruby/vendor_ruby/rake/promise.rb
/usr/lib/ruby/vendor_ruby/rake/pseudo_status.rb
/usr/lib/ruby/vendor_ruby/rake/rake_module.rb
/usr/lib/ruby/vendor_ruby/rake/rake_test_loader.rb
/usr/lib/ruby/vendor_ruby/rake/rule_recursion_overflow_error.rb
/usr/lib/ruby/vendor_ruby/rake/scope.rb
/usr/lib/ruby/vendor_ruby/rake/task.rb
/usr/lib/ruby/vendor_ruby/rake/task_argument_error.rb
/usr/lib/ruby/vendor_ruby/rake/task_arguments.rb
/usr/lib/ruby/vendor_ruby/rake/task_manager.rb
/usr/lib/ruby/vendor_ruby/rake/tasklib.rb
/usr/lib/ruby/vendor_ruby/rake/testtask.rb
/usr/lib/ruby/vendor_ruby/rake/thread_history_display.rb
/usr/lib/ruby/vendor_ruby/rake/thread_pool.rb
/usr/lib/ruby/vendor_ruby/rake/trace_output.rb
/usr/lib/ruby/vendor_ruby/rake/version.rb
/usr/lib/ruby/vendor_ruby/rake/win32.rb
/usr/lib/ruby/vendor_ruby/rake/ext/core.rb
/usr/lib/ruby/vendor_ruby/rake/ext/string.rb
/usr/lib/ruby/vendor_ruby/rake/loaders/makefile.rb
/usr/share/bash-completion/completions/rake
/usr/share/doc/rake/README.rdoc.gz
/usr/share/doc/rake/changelog.Debian.gz
/usr/share/doc/rake/changelog.gz
/usr/share/doc/rake/copyright
/usr/share/man/man1/rake.1.gz
/usr/share/rubygems-integration/all/specifications/rake-12.3.1.gemspec

Changelog

2018-05-02 - Antonio Terceiro <terceiro@debian.org>
rake (12.3.1-3) unstable; urgency=medium
* Revert the drop of the ruby dependency. See Debian bug #897279 for related
discussion.
* Add a simple smoke test
2018-05-01 - Antonio Terceiro <terceiro@debian.org>
rake (12.3.1-2) unstable; urgency=medium
* Drop dependency on ruby, breaking circular dependency (ruby → rubyX.Y →
librubyX.Y → rake → ruby)
- debian/rules: fail the build if rake depends on ruby
- debian/rake.lintian-overrides: override lintian check for ruby scripts
needing a dependency on ruby
* Bump Standards-Version top 4.1.4; no changes needed
2018-03-23 - Georg Faerber <georg@riseup.net>
rake (12.3.1-1) unstable; urgency=medium
* New upstream release. 
* debian/patches: Refresh for release 12.3.1-1. 
2018-03-20 - Georg Faerber <georg@riseup.net>
rake (12.3.0-2) unstable; urgency=medium
* debian/control:
- Add myself as Uploader.
- Bump required debhelper version to >= 11~.
- Bump Standards-Version to 4.1.3, no changes needed.
- Use salsa.debian.org for Vcs-{Git,Browser} fields.
- Run wrap-and-sort.
* debian/copyright:
- Use HTTPS in link to copyright format specification.
- Include missing authors and bump years to include 2018.
* debian/compat: Bump debhelper compat level to 11.
* debian/ruby-tests.rb: Ensure tests are working with ruby 2.5: Remove the
call to the dropped option '-rubygems' in ruby 2.5, make the run of the
testsuite verbose, and, drop the fixed seed, again. The later was needed
to ensure the testsuite was executed successfully; this was fixed
upstream, now. (Closes: #890751)
* debian/rules: Install upstream changelog.
2017-12-07 - Antonio Terceiro <terceiro@debian.org>
rake (12.3.0-1) unstable; urgency=medium
* New upstream version 12.3.0
* Refresh patches
* Bump Standards-Version to 4.1.2; no changes needed
2017-06-30 - Antonio Terceiro <terceiro@debian.org>
rake (12.0.0-1) unstable; urgency=medium
* debian/watch, debian/copyright: pull from ruby/rake on Github
* New upstream release
* debian/copyright: drop paragraph that became unused
* Refresh patches
* debian/ruby-tests.rb:
- adapt to reorganization in upstream source
- force SEED used in randomizing test order, since the tests fail randomly
depending on the order they are executed. See
https://github.com/ruby/rake/issues/212
* debian/control:
- drop Build-Depends that are no longer necessary due to upstream changes
- add ruby-bundler to Build-Depends
- Change Testsuite: to autopkgtest-pkg-ruby
- Bump Standards-Version to 4.0.0; no changes needed
* Drop debian/tests/*: just use the common Ruby testing infrastructure
* debian/patches/0003-gemspec-drop-git-usage.patch: drop usage of git in
rake.gemspec
2016-03-01 - Christian Hofstaedtler <zeha@debian.org>
rake (10.5.0-2) unstable; urgency=medium
* Team upload.
* Set Multi-Arch: foreign to allow crossinstall of ruby itself
2016-02-29 - Antonio Terceiro <terceiro@debian.org>
rake (10.5.0-1) unstable; urgency=medium
* New upstream release
* Refresh patches
* Add debian/patches/skip-rake-libdir.patch: avoid includingh
-I/usr/lib/ruby/vendor_ruby first in $LOAD_PATH, what breaks running tests
of ruby-foo if there is another copy of ruby-foo already installed.
* debian/control:
- Bump Standards-Version to 3.9.7; no changes neeedd
- Switch Vcs-* to https URLs
2015-11-11 - Antonio Terceiro <terceiro@debian.org>
rake (10.4.2-2) unstable; urgency=medium
* Fix bash completion
2015-07-31 - Christian Hofstaedtler <zeha@debian.org>
rake (10.4.2-1) unstable; urgency=medium
* Team upload.
* Remove obsolete d/require-rubygems.overrides
* New upstream release: 10.4.2
* Depends on newer minitest which is available in Debian.
(Closes: #704150)
* Remove upstream-applied patches.
* debian/control: Replace XS-Testsuite with Testsuite
* Update bash-completion install directory

See Also

Package Description
rakudo_2018.10-1_amd64.deb Perl 6 implementation on top of Moar virtual machine
rally_1.2.1+dfsg1-1_all.deb benchmark System for OpenStack - command line and configuration
rambo-k_1.21+dfsg-2_all.deb Read Assignment Method Based On K-mers
ramond_0.5-4_amd64.deb IPv6 Router Advertisement MONitoring Daemon
rampler_1.1.0-1_amd64.deb module for sampling genomic sequences
rancid-cgi_3.8-2_all.deb looking glass CGI based on rancid tools
rancid_3.8-2_amd64.deb Really Awesome New Cisco confIg Differ
randomplay_0.60+pristine-1_all.deb command-line based shuffle music player that remembers songs between sessions
randomsound_0.2-5+b2_amd64.deb ALSA sound card related entropy gathering daemon
randtype_1.13-11+b1_amd64.deb semi-random text typer
ranger_1.9.2-3_all.deb Console File Manager with VI Key Bindings
rapid-photo-downloader_0.9.13-1_all.deb Photo downloader (importer) from cameras, memory cards, other devices
rapidjson-dev_1.1.0+dfsg2-4_all.deb fast JSON parser/generator for C++ with SAX/DOM style API
rapidjson-doc_1.1.0+dfsg2-4_all.deb fast JSON parser/generator for C++ (API documentation)
rapidsvn_0.12.1dfsg-3.1+b1_amd64.deb GUI client for Subversion
Advertisement
Advertisement